paso::Solver_RILU Struct Reference

RILU preconditioner. More...

`#include <Preconditioner.h>`

## Public Attributes

dim_t | n
dim_t | n_block
dim_t | n_F
dim_t | n_C
double * | inv_A_FF
index_t * | A_FF_pivot
SparseMatrix_ptr< double > | A_FC
SparseMatrix_ptr< double > | A_CF
index_t * | rows_in_F
index_t * | rows_in_C
index_t * | mask_F
index_t * | mask_C
double * | x_F
double * | b_F
double * | x_C
double * | b_C
Solver_RILU * | RILU_of_Schur

## Detailed Description

RILU preconditioner.

## Member Data Documentation

## A_CF

SparseMatrix_ptr<double> paso::Solver_RILU::A_CF

Referenced by paso::Solver_getRILU(), and paso::Solver_solveRILU().

## A_FC

SparseMatrix_ptr<double> paso::Solver_RILU::A_FC

Referenced by paso::Solver_getRILU(), and paso::Solver_solveRILU().

## A_FF_pivot

index_t* paso::Solver_RILU::A_FF_pivot

Referenced by paso::Solver_getRILU(), paso::Solver_RILU_free(), and paso::Solver_solveRILU().

## b_C

double* paso::Solver_RILU::b_C

Referenced by paso::Solver_getRILU(), paso::Solver_RILU_free(), and paso::Solver_solveRILU().

## b_F

double* paso::Solver_RILU::b_F

Referenced by paso::Solver_getRILU(), paso::Solver_RILU_free(), and paso::Solver_solveRILU().

## inv_A_FF

double* paso::Solver_RILU::inv_A_FF

Referenced by paso::Solver_getRILU(), paso::Solver_RILU_free(), and paso::Solver_solveRILU().

## mask_C

index_t* paso::Solver_RILU::mask_C

Referenced by paso::Solver_getRILU(), paso::Solver_RILU_free(), and paso::Solver_solveRILU().

## mask_F

index_t* paso::Solver_RILU::mask_F

Referenced by paso::Solver_getRILU(), paso::Solver_RILU_free(), and paso::Solver_solveRILU().

## n

dim_t paso::Solver_RILU::n

Referenced by paso::Solver_getRILU(), and paso::Solver_solveRILU().

## n_block

dim_t paso::Solver_RILU::n_block

Referenced by paso::Solver_getRILU(), and paso::Solver_solveRILU().

## n_C

dim_t paso::Solver_RILU::n_C

Referenced by paso::Solver_getRILU(), and paso::Solver_solveRILU().

## n_F

dim_t paso::Solver_RILU::n_F

Referenced by paso::Solver_getRILU(), and paso::Solver_solveRILU().

## RILU_of_Schur

Solver_RILU* paso::Solver_RILU::RILU_of_Schur

Referenced by paso::Solver_getRILU(), paso::Solver_RILU_free(), and paso::Solver_solveRILU().

## rows_in_C

index_t* paso::Solver_RILU::rows_in_C

Referenced by paso::Solver_getRILU(), paso::Solver_RILU_free(), and paso::Solver_solveRILU().

## rows_in_F

index_t* paso::Solver_RILU::rows_in_F

Referenced by paso::Solver_getRILU(), paso::Solver_RILU_free(), and paso::Solver_solveRILU().

## x_C

double* paso::Solver_RILU::x_C

Referenced by paso::Solver_getRILU(), paso::Solver_RILU_free(), and paso::Solver_solveRILU().

## x_F

double* paso::Solver_RILU::x_F

Referenced by paso::Solver_getRILU(), paso::Solver_RILU_free(), and paso::Solver_solveRILU().

The documentation for this struct was generated from the following file:

- Preconditioner.h